### Function

# Camel mempool_strdup

since: 2.32

#### Declaration [src]

    gchar*
    camel_mempool_strdup (
      CamelMemPool* pool,
      const gchar* str
    )

#### Description

No description available.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`pool`

  Type: `CamelMemPool`

  A `CamelMemPool`.

  The data is owned by the caller of the function.

`str`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.